[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Deleting

True if the node has been marked for deletion in the associated tree view control.

## Declaration

Source position: comctrls.pp line 3153

`public property TTreeNode.Deleting : Boolean read GetDeleting;`

## Description

Deleting is a read-only Boolean property which indicates is the node is marked for deletion. Its value is True when ndDeleting has been included in the States property for the node. nsDeleting is added to States in the Destroy method, and indicates that the node will be freed. The Delete method in the TreeView control is called to signal an OnDeletion event (when assigned) before references for the node are removed and the TreeNodes are refreshed. It prevents the Delete method from being executed more than once.